Subject: Binding Spec: Why DELETE removes a binding, not a resource

From: "Slein, Judith A" <[email-masked]>
Date: Thu, 26 Aug 1999 09:51:02 -0400

Yaron: HTTP was crystal clear that DELETE deletes resources.  If you want to
just remove a name and not a resource then introduce a new method with that
functionality.

There has been a lotof discussion of this issue on the mailing list in the
past.  I think the best statements of the rationale for defining DELETE to
be removing the binding identified by the request-URI are in these messages:

http://lists.w3.org/Archives/Public/w3c-dist-auth/1999AprJun/0018.html
http://lists.w3.org/Archives/Public/w3c-dist-auth/1999AprJun/0020.html

--Judy

Judith A. Slein
Xerox Corporation
[email-masked]
(716)422-5169
800 Phillips Road 105/50C
Webster, NY 14580